Loading...
Searching...
No Matches
fc_queue.h File Reference

Queue of per-frame contexts. More...

`#include <stdint.h>`
`#include <vector>`
`#include <libcamera/base/log.h>`
Include dependency graph for fc_queue.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | libcamera::ipa::FrameContext
| Context for a frame. More...
class | libcamera::ipa::FCQueue< FrameContext >
| A support class for managing FrameContext instances in IPA modules. More...

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.
namespace | libcamera::ipa
| The IPA (Image Processing Algorithm) namespace.

## Detailed Description

Queue of per-frame contexts.